The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PHP Update not working ( PHP version file is up to date )

Discussion in 'General Discussion' started by ezztro, Aug 26, 2005.

  1. ezztro

    ezztro Well-Known Member

    Joined:
    Nov 11, 2003
    Messages:
    148
    Likes Received:
    0
    Trophy Points:
    16
    Hello,

    last night i start "apache upate" from the WHM and uncheck php 4.3.3 and check 4.3.11 to update to 4.3.11

    whm rebuilds the apache, but than:

    PHP version file is up to date

    and 4.3.3 is running and not 4.3.11.

    How can i fix this ?
     
  2. rachweb

    rachweb Well-Known Member

    Joined:
    Jun 26, 2004
    Messages:
    268
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    amsterdam
    You must check both 4.3.3 and 4.3.11
     
  3. ezztro

    ezztro Well-Known Member

    Joined:
    Nov 11, 2003
    Messages:
    148
    Likes Received:
    0
    Trophy Points:
    16
    Thank you. Now i have 4.3.11 installed, but Mambo is not working, typo3 is not working and some shop-software. so i must switch back to the old version of php :(
     
  4. rachweb

    rachweb Well-Known Member

    Joined:
    Jun 26, 2004
    Messages:
    268
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    amsterdam
    Which error you get when you install those scripts. This scripts are compatible with php 4.3.11
     
  5. ezztro

    ezztro Well-Known Member

    Joined:
    Nov 11, 2003
    Messages:
    148
    Likes Received:
    0
    Trophy Points:
    16
    Mambo shows no Navigation ( Module ) and the Adminpanel is blank.

    Typo 3:

    Warning: Illegal offset type in /home/apfelwei/public_html/content/t3lib/class.t3lib_extmgm.php on line 534

    Warning: Illegal offset type in /home/apfelwei/public_html/content/t3lib/class.t3lib_extmgm.php on line 534

    Warning: Illegal offset type in /home/apfelwei/public_html/content/t3lib/class.t3lib_extmgm.php on line 534

    Warning: Illegal offset type in /home/apfelwei/public_html/content/t3lib/class.t3lib_extmgm.php on line 534

    Warning: Illegal offset type in /home/apfelwei/public_html/content/t3lib/class.t3lib_extmgm.php on line 534

    Some SHop Installation of XTC ( xtcommerce )

    Warning: Illegal offset type in /home/indserv/public_html/xtc/includes/classes/Smarty_2.6.6/internals/core.load_plugins.php on line 21

    Warning: preg_match() expects parameter 2 to be string, array given in /home/indserv/public_html/xtc/includes/classes/Smarty_2.6.6/internals/core.assemble_plugin_filepath.php on line 30

    Fatal error: Smarty error: [plugin] could not load plugin file 'Array.0.php' (core.load_plugins.php, line 118) in /home/indserv/public_html/xtc/includes/classes/Smarty_2.6.6/Smarty.class.php on line 1088

    and so on
     
  6. ezztro

    ezztro Well-Known Member

    Joined:
    Nov 11, 2003
    Messages:
    148
    Likes Received:
    0
    Trophy Points:
    16
    The scripts are installed. Since Update to 4.3.11 they are not working.
     
  7. rachweb

    rachweb Well-Known Member

    Joined:
    Jun 26, 2004
    Messages:
    268
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    amsterdam
    Do you have zend optimizer updated to last version? Can i see your phpinfo?
     
  8. ezztro

    ezztro Well-Known Member

    Joined:
    Nov 11, 2003
    Messages:
    148
    Likes Received:
    0
    Trophy Points:
    16
    No, i have not update zend. i only habe use "update apache" in the WHM.

    I send you a Link to see the phpinfo via pn
     
  9. mctDarren

    mctDarren Well-Known Member

    Joined:
    Jan 6, 2004
    Messages:
    664
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    New Jersey
    cPanel Access Level:
    Root Administrator
    You should update Zend every time you update PHP. That may fix the problem.
     
Loading...

Share This Page